Delete a fixed charge
curl --request DELETE \
--url https://api.getlago.com/api/v1/plans/{code}/fixed_charges/{fixed_charge_code} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"fixed_charge": {
"cascade_updates": true
}
}
'import requests
url = "https://api.getlago.com/api/v1/plans/{code}/fixed_charges/{fixed_charge_code}"
payload = { "fixed_charge": { "cascade_updates": True } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({fixed_charge: {cascade_updates: true}})
};
fetch('https://api.getlago.com/api/v1/plans/{code}/fixed_charges/{fixed_charge_code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"fixed_charge": {
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"lago_add_on_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"invoice_display_name": "Setup fee",
"add_on_code": "setup_fee",
"created_at": "2023-06-27T19:43:42Z",
"code": "setup_fee",
"charge_model": "standard",
"pay_in_advance": false,
"prorated": false,
"properties": {
"amount": "30",
"graduated_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
],
"volume_ranges": [
{
"from_value": 0,
"to_value": 10,
"flat_amount": "10",
"per_unit_amount": "0.5"
}
]
},
"units": 1,
"lago_parent_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"taxes": [
{
"lago_id": "1a901a90-1a90-1a90-1a90-1a901a901a90",
"name": "TVA",
"code": "french_standard_vat",
"rate": 20,
"applied_to_organization": true,
"created_at": "2023-07-06T14:35:58Z",
"description": "French standard VAT"
}
]
}
}{
"status": 401,
"error": "Unauthorized"
}{
"status": 404,
"error": "Not Found",
"code": "object_not_found"
}Fixed Charges
Delete a fixed charge
This endpoint deletes a specific fixed charge from a plan.
DELETE
/
plans
/
{code}
/
fixed_charges
/
{fixed_charge_code}
Delete a fixed charge
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Code of the existing plan.
Example:
"startup"
Code of the existing fixed charge.
Example:
"setup_fee_charge"
Body
application/json
Fixed charge delete payload
Show child attributes
Show child attributes
Response
Fixed charge deleted
Show child attributes
Show child attributes
Was this page helpful?
⌘I